# Manually Show Survey

If you created a survey on the dashboard that you use to manually target users, you'll be provided with a token. You can pass this token to the show survey API to manually show it at anytime.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Surveys.showSurvey(withToken: "TOKEN")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQSurveys showSurveyWithToken:@"TOKEN"];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Surveys.showSurvey("TOKEN");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Surveys.showSurvey("TOKEN")
```

{% endtab %}

{% tab title="RN" %}

```java
Surveys.showSurvey("TOKEN");
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Surveys.showSurvey("TOKEN");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/manually-show-survey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
